package primes;

import java.util.Vector;

public class Main {

	// Main entry point
	static public void main(String[] args) {
		// genprimes(100);
		
		Primes primes = new Primes();
		System.out.println(primes);
		primes.upTo(100);
		System.out.println(primes);
		// System.out.println(primes.value());
	}

	/**
	 * A procedural prime sieve.
	 */
	static void genprimes(int max) {
		Vector primes = new Vector();
		
		primes.addElement(new Integer(2));
		System.out.print(2);
		
		for (int num=3; num<=max; num++) {
			boolean testing = true;
			int index = 0;
			while(testing) {
				int testPrime = ((Integer) primes.elementAt(index)).intValue();
				if (num < testPrime*testPrime) {
					primes.addElement(new Integer(num));
					System.out.print(" " + num);
					testing = false;
				} else {
					if ((num % testPrime) == 0) {
						testing = false;
					} else {
						index++;
					}
				}
			}
		}
		System.out.println();
	}
	
}
